Page MenuHomeFreeBSD

Drop support for FreeBSD 11.2 in the Ports Tree
ClosedPublic

Authored by rene on Oct 10 2019, 8:19 PM.

Details

Summary

FreeBSD 11.2 will reach end-of-life in November 2019, so remove specific support for it in the Ports Tree.

Of notable interest:

  • graphics/drm-fbsd-11.2-kmod got renamed to graphics/drm-fbsd-11.3-kmod:
rene@e17:/usr/ports/graphics % svn status
M       Makefile
A  +    drm-fbsd-11.3-kmod
        > moved from drm-fbsd11.2-kmod
M  +    drm-fbsd-11.3-kmod/Makefile
M  +    drm-fbsd-11.3-kmod/pkg-descr
M  +    drm-fbsd-11.3-kmod/pkg-message
D       drm-fbsd11.2-kmod
        > moved to drm-fbsd-11.3-kmod
M       drm-kmod/Makefile
  • the changes to lang/gnats-*-aarch64 are mostly theoretical, the expired port might as well be removed
  • patches of some ports got updated and carry some additional baggage from `make makepatch'
Test Plan

Test ports that got changed significantly in this patch.

Merge to 2019Q4 once landed because FreeBSD 11.2 will also expire there.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rene created this revision.Oct 10 2019, 8:19 PM
rene added a comment.Oct 10 2019, 9:41 PM

I unintentionally added an extra hyphen to 'drm-fbsd11.3-kmod', this has been fixed locally. Currently build-testing on a poudriere 11.3-i386 jail.

linimon added inline comments.Oct 11 2019, 4:47 AM
MOVED
13080 ↗(On Diff #63134)

You've probably already fixed this, but in case not, this entry still has the extra hyphen.

lang/gnatcross-aarch64/Makefile
11 ↗(On Diff #63134)

I think rather than removing this stanza we ought to merely remove the port. The expiration is only a few days away in any case.

Also above you refer to these ports as "gnats-*" and yes I remember gnats well but these are actually "gnatcross-*" :-)

net/mpd5/files/patch-src-Makefile
24 ↗(On Diff #63134)

Is this deletinon intentional?

antoine requested changes to this revision.Oct 11 2019, 9:57 PM
antoine added a subscriber: antoine.
  • Please wait 3 or 4 days after actual EoL before removing 11.2 support (some builds will still be in flight)
  • Having 11.2 hardcoded in portname and package name was a bad idea ; renaming it to 11.3 is an even worse idea, especially in a quarterly branch that is supposed to be stable (pkg upgrade will not work)
This revision now requires changes to proceed.Oct 11 2019, 9:57 PM
rene marked 2 inline comments as done.Oct 12 2019, 8:46 AM
rene added inline comments.
lang/gnatcross-aarch64/Makefile
11 ↗(On Diff #63134)

Hmm yes, I'll see if the new version builds.

net/mpd5/files/patch-src-Makefile
24 ↗(On Diff #63134)

It is a deletion from the patch, not the final file.

rene marked an inline comment as done.Oct 12 2019, 8:51 AM
  • Please wait 3 or 4 days after actual EoL before removing 11.2 support (some builds will still be in flight)

Ok.

  • Having 11.2 hardcoded in portname and package name was a bad idea ; renaming it to 11.3 is an even worse idea, especially in a quarterly branch that is supposed to be stable (pkg upgrade will not work)

Fair point, how about droppinb the minor version numbernfrom the port completely? This would still need a pkg set -o but avoids possible confusion for which FreeBSD version this port is intended (11.2 only vs 11.2+).

rene updated this revision to Diff 63250.Oct 14 2019, 12:45 PM
  • Remove now committed lang-gnatcross-*aarch64 changes
  • Do not rename graphics/drm-fbsd11.2-kmod per request of @antoine
  • Please wait 3 or 4 days after actual EoL before removing 11.2 support (some builds will still be in flight)
  • Having 11.2 hardcoded in portname and package name was a bad idea ; renaming it to 11.3 is an even worse idea, especially in a quarterly branch that is supposed to be stable (pkg upgrade will not work)

@antoine : Do you have any suggestions for naming schemes for future updates?

dns/knot-resolver/Makefile
106 ↗(On Diff #63250)

While you're here, this should probably be "broken on i386".

graphics/drm-kmod/Makefile
25–30 ↗(On Diff #63250)

Since you're not renaming the drm kmod port, this needs to be reverted as well.

rene updated this revision to Diff 63291.Oct 15 2019, 3:05 PM
  • tidy up
  • rebase
rene marked 2 inline comments as done.Oct 15 2019, 3:06 PM
zeising accepted this revision.Oct 16 2019, 8:21 AM

multimedia/libva bit looks OK. I haven't reviewed the rest and run out of time trying to identify what else can be removed (but at least managed some cleanup like rP514391).

rene updated this revision to Diff 63878.Nov 2 2019, 10:29 AM

Rebase on r516291

mat added inline comments.Nov 4 2019, 1:43 PM
Mk/bsd.port.mk
181–182 ↗(On Diff #63878)

Let's get more in the future and put "13" here ? ^^

dns/knot-resolver/Makefile
106 ↗(On Diff #63878)

Which would end up having:

"does not run on i386 while you are running i386 (reason: libknot (installed by knot2) is broken on i386)"

But maybe the intent is making sure people know it is i386's fault.

dns/knot2/Makefile
18 ↗(On Diff #63878)

Not sure this is needed.

graphics/drm-fbsd11.2-kmod/Makefile
35–37 ↗(On Diff #63878)

So, mmm.

.if ${OPSYS} == FreeBSD && ${OSVERSION} > 1200000

should be enough.

graphics/drm-fbsd11.2-kmod/pkg-descr
3 ↗(On Diff #63878)

The port directory says 11.2.

net/zerotier/Makefile
35 ↗(On Diff #63878)

This is always true, it only supports early version of 12-CURRENT from 2016.

mat added a comment.Nov 4 2019, 1:44 PM

IMHO, the only thing that should be merged to 2019Q4 is line 1165 of bsd.port.mk.

rene added a comment.Nov 4 2019, 1:55 PM
In D21974#485928, @mat wrote:

IMHO, the only thing that should be merged to 2019Q4 is line 1165 of bsd.port.mk.

OK. That might be easier if that line is committed first in its own commit.

mat added a comment.Nov 4 2019, 2:34 PM
In D21974#485929, @rene wrote:
In D21974#485928, @mat wrote:

IMHO, the only thing that should be merged to 2019Q4 is line 1165 of bsd.port.mk.

OK. That might be easier if that line is committed first in its own commit.

Yeah, good thing we're portmgr and we can do whatever we want :-p

This revision was not accepted when it landed; it landed in state Needs Review.Nov 5 2019, 9:08 PM
This revision was automatically updated to reflect the committed changes.
rene added a commit: rP516839: MFH: r516838.
rene marked 2 inline comments as done.Nov 5 2019, 9:40 PM
rene added inline comments.
graphics/drm-fbsd11.2-kmod/pkg-descr
3 ↗(On Diff #63878)

I suggested to change the directory name to 11.3 but that met opposition. Ideally I would rename it to just "drm-fbsd11-kmod"

net/zerotier/Makefile
35 ↗(On Diff #63878)

Hmm yes, by now that condition is indeed always true. Do we technically still support those versions? On the other hand, that condition can be removed once 12.0 goes EOL.

rene reopened this revision.Nov 5 2019, 9:40 PM
rene marked 2 inline comments as done.Nov 6 2019, 9:12 AM
rene added inline comments.
dns/knot-resolver/Makefile
106 ↗(On Diff #63878)

Heh, but indeed this port is useless without dns/knot2 so also not_for_i386

rene updated this revision to Diff 64003.Nov 6 2019, 3:33 PM
rene marked an inline comment as done.

Rebase on r516892

rene updated this revision to Diff 64004.Nov 6 2019, 3:37 PM

Leave out local modification.

This revision was not accepted when it landed; it landed in state Needs Review.Nov 7 2019, 4:30 PM
This revision was automatically updated to reflect the committed changes.